package com.srs.comprehensive.mapper;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.Dto.CphClassTbsj;
import com.srs.comprehensive.domain.Dto.PageDto;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CphSqlServerDataMapper {


    /*
    * 学生
    * */
    public List<Map> getStudentInfoList(@Param("startPage") int startPage, @Param("pageSize") int pageSize,@Param("stuNo") String stuNo);

    //统计学生数量
    int selectNumber();

    /**
     * 班级分页
     * @return
     * */
    public List<Map> getClassInfoListPage(PageDto param);
    /**
     * 班级
     * @return
     */
    public List<Map> getClassInfoList();
    /**
     * 通过班级代码查询
     * @return
     */
    public  List<CphClassTbsj> getClassInfodm(String bjdm);
    /**
     * 年级
     * @return
     */
    public List<Map> getGradeInfoList();

    String getnjid(Long njid);

    /**
     * 专业分页
     * @return
     * */
    public List<Map>  getSpecialtyInfoListPage(PageDto param);
    /**
     * 专业
     * @return
     */
    public List<Map>  getSpecialtyInfoList();
    public List<Map> getSpecialtyzydm(String zydm);
    /**
     * 班级绑定辅导员信息
     * @return
     */
    public List<Map> getBZRClassInfoList();


    String selectClassBZR(String bjdm);

    String getzydm(Long zyid);

    /**
     * 职工信息
     * @return
     */
    public List<Map> getEmployEEInfoList();

}
